services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: true

  dashboard.buttons.drkDocumentation:
    class: 'TYPO3\CMS\Dashboard\Widgets\Provider\ButtonProvider'
    arguments:
      $title: 'DRK Handbuch'
      $link: 'https://web-handbuch.drk-intern.de'
      $target: '_blank'

  dashboard.widget.drkDocumentation:
    class: 'TYPO3\CMS\Dashboard\Widgets\CtaWidget'
    arguments:
      $buttonProvider: '@dashboard.buttons.drkDocumentation'
      $options:
        text: 'Hier geht es direkt ins Handbuch zu den DRK Seiten'
    tags:
      - name: dashboard.widget
        identifier: 'drkDocumentation'
        groupNames: 'news'
        title: 'DRK News'
        description: 'Hier gibt es Informationen zu den DRK Musterseiten'
        iconIdentifier: 'content-widget-rss'
        height: 'small'
        width: 'small'
